Magick++ 7.1.0

Static Public Member Functions | List of all members
Magick::SecurityPolicy Class Reference

`#include <SecurityPolicy.h>`

## Static Public Member Functions
static bool | precision (const int precision_)
static bool | anonymousCacheMemoryMap ()
static bool | anonymousSystemMemoryMap ()
static bool | maxMemoryRequest (const MagickSizeType limit_)
static bool | shred (const int passes_)

## Detailed Description

Definition at line 17 of file SecurityPolicy.h.

## Member Function Documentation

## ◆ anonymousCacheMemoryMap()

bool Magick::SecurityPolicy::anonymousCacheMemoryMap | ( |  | ) |
| static

Definition at line 20 of file SecurityPolicy.cpp.

## ◆ anonymousSystemMemoryMap()

bool Magick::SecurityPolicy::anonymousSystemMemoryMap | ( |  | ) |
| static

Definition at line 25 of file SecurityPolicy.cpp.

## ◆ maxMemoryRequest()

bool Magick::SecurityPolicy::maxMemoryRequest | ( | const MagickSizeType | limit_ | ) |
| static

Definition at line 39 of file SecurityPolicy.cpp.

## ◆ precision()

bool Magick::SecurityPolicy::precision | ( | const int | precision_ | ) |
| static

Definition at line 30 of file SecurityPolicy.cpp.

## ◆ shred()

bool Magick::SecurityPolicy::shred | ( | const int | passes_ | ) |
| static

Definition at line 48 of file SecurityPolicy.cpp.

The documentation for this class was generated from the following files:

- SecurityPolicy.h
- SecurityPolicy.cpp